// xRxDBGrid Package  1998-1999, Deks
//
// Deks Site: http://deks.webjump.com/
// E-mail: Deks@online.nsk.su
// ============================================================================
// Installation and design-time routines for component package.
unit xRxDBGridReg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, TypInfo, DsgnIntf;

procedure Register;

implementation

uses DB, DBTables, xRxDBGridAbout, xRxDBGrid;

// ============================================================================
type
  TxRxDBGridEditor = class(TComponentEditor)
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
  end;

procedure TxRxDBGridEditor.ExecuteVerb(Index: Integer);
begin
  // Show "about form".
  with TxRxDBGridAboutForm.Create(Application) do begin
    try
      ShowModal;
    finally
      Free;
    end;
  end;
end;

function TxRxDBGridEditor.GetVerb(Index: Integer): string;
begin
  case Index of
    0: Result := 'xSortRxDBGrid Package v1.0';
    1: Result := ' 1998-1999, Deks';
  end;
end;

function TxRxDBGridEditor.GetVerbCount: Integer;
begin
  Result := 2;
end;

// ============================================================================
procedure Register;
begin
  RegisterComponents('Rx DBAware', [TxRxDBGrid]);
  RegisterNonActiveX([TxRxDBGrid], axrComponentOnly);
  RegisterComponentEditor(TxRxDBGrid,TxRxDBGridEditor);
end;

end.
